petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMStagGet1dCoordinateLocationSlot

get slot for use with local 1D coordinate arrays

### Synopsis

    PETSC_EXTERN PetscErrorCode DMStagGet1dCoordinateLocationSlot(DM dm,DMStagStencilLocation loc,PetscInt *slot)

High-level helper function to get slot ids for 1D coordinate DMs. For use with DMStagGetIDCoordinateArraysDOFRead() and related functions.

Not Collective

### Input Parameters

| dm | - the DMStag object
| loc | - the grid location

### Output Parameter

slot -the index to use in local arrays

### Notes

Checks that the coordinates are actually set up so that using the slots from the first 1d coordinate sub-DM is valid for all the 1D coordinate sub-DMs.

### See Also

DMSTAG, DMPRODUCT, DMStagGet1dCoordinateArraysDOFRead(), DMStagSetUniformCoordinates()

### Level

intermediate

### Location

src/dm/impls/stag/stagutils.c
Index of all DMSTAG routines
Table of Contents for all manual pages
Index of all manual pages